/***************************************************************************
                          spawn_core.h  -  description
                             -------------------
    begin                : Thu Oct 31 2002
    copyright            : (C) 2002 by Tim-Philipp Mller
    email                : t.i.m@orange.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _ed2k_gui_spawn_core_h_included_
#define _ed2k_gui_spawn_core_h_included_

#include "global.h"

gint         spawn_core_pref_met_has_username ( const gchar *dir,
                                                const gchar *username,
                                                const gchar *password,
                                                guint        port,
                                                guint       *clientport);

gboolean     spawn_core_modify_pref_met ( const gchar *dir,
                                          const gchar *user,
                                          const gchar *pass,
                                          guint        port,
                                          guint        clientport);

gint         kill_and_restart_core (gulong pid, gboolean dokill_flag);

gboolean     spawn_core_listening_port_is_in_use (guint port);

gboolean     spawn_core_and_print_spawn_result_message (const gchar *binpath);

#endif

